scriptName format ["%1Scripts\Common\Config\Config_Barracks.sqf",BIS_WFdPath];
//Last modified 2/18/10
//*****************************************************************************************
//Description: Barracks unit configurations.
//*****************************************************************************************
Private["_c","_config","_p","_t","_total","_u"];

//WEST
_u			= ["USMC_Soldier"];
_c			= [100];
_t			= [4];
_p			= [5];

_u = _u		+ ["USMC_Soldier2"];
_c = _c		+ [100];
_t = _t		+ [4];
_p = _p		+ [5];

_u = _u		+ ["USMC_Soldier_LAT"];
_c = _c		+ [150];
_t = _t		+ [5];
_p = _p		+ [6];

_u = _u		+ ["USMC_Soldier_AT"];
_c = _c		+ [175];
_t = _t		+ [5];
_p = _p		+ [6];

_u = _u		+ ["USMC_Soldier_HAT"];
_c = _c		+ [200];
_t = _t		+ [6];
_p = _p		+ [7];

_u = _u		+ ["USMC_Soldier_AA"];
_c = _c		+ [200];
_t = _t		+ [6];
_p = _p		+ [7];

_u = _u		+ ["USMC_Soldier_AR"];
_c = _c		+ [150];
_t = _t		+ [5];
_p = _p		+ [6];

_u = _u		+ ["USMC_Soldier_MG"];
_c = _c		+ [150];
_t = _t		+ [5];
_p = _p		+ [6];

_u = _u		+ ["USMC_Soldier_GL"];
_c = _c		+ [150];
_t = _t		+ [5];
_p = _p		+ [6];

_u = _u		+ ["USMC_SoldierS_Spotter"];
_c = _c		+ [150];
_t = _t		+ [6];
_p = _p		+ [8];

_u = _u		+ ["USMC_SoldierS_Sniper"];
_c = _c		+ [175];
_t = _t		+ [6];
_p = _p		+ [7];

_u = _u		+ ["USMC_Soldier_Medic"];
_c = _c		+ [125];
_t = _t		+ [4];
_p = _p		+ [5];

_u = _u		+ ["USMC_SoldierS_Engineer"];
_c = _c		+ [125];
_t = _t		+ [5];
_p = _p		+ [6];

_u = _u		+ ["USMC_SoldierS"];
_c = _c		+ [150];
_t = _t		+ [7];
_p = _p		+ [8];

_u = _u		+ ["FR_AC"];
_c = _c		+ [200];
_t = _t		+ [9];
_p = _p		+ [10];

_u = _u		+ ["FR_R"];
_c = _c		+ [200];
_t = _t		+ [9];
_p = _p		+ [10];

_u = _u		+ ["USMC_Soldier_Crew"];
_c = _c		+ [75];
_t = _t		+ [4];
_p = _p		+ [5];

_u = _u		+ ["USMC_Soldier_Pilot"];
_c = _c		+ [75];
_t = _t		+ [4];
_p = _p		+ [5];

_u = _u		+ ["USMC_Soldier_TL"];
_c = _c		+ [110];
_t = _t		+ [5];
_p = _p		+ [6];

_u = _u		+ ["USMC_Soldier_SL"];
_c = _c		+ [125];
_t = _t		+ [5];
_p = _p		+ [7];

westBarracksDescriptions = [];
westBarracksFactions = [];
westBarracksImages = [];
westBarracksCrews = [];

_total = Count _u;
for [{_count = 0},{_count < _total},{_count = _count + 1}] do
{
	_config = configFile >> "CfgVehicles" >> (_u Select _count);
	westBarracksDescriptions = westBarracksDescriptions + [GetText (_config >> "displayName")];
	westBarracksFactions = westBarracksFactions + [GetText (_config >> "faction")];
	westBarracksImages = westBarracksImages + [GetText (_config >> "portrait")];
	westBarracksCrews = westBarracksCrews + [1];
};

westBarracksUnits = _u;
westBarracksCosts = _c;
westBarracksMannedCosts = _c;
westBarracksTimes = _t;
westBarracksPoints = _p;

//EAST
_u			= ["RU_Soldier"];
_c			= [100];
_t			= [4];
_p			= [5];

_u = _u		+ ["RU_Soldier2"];
_c = _c		+ [100];
_t = _t		+ [4];
_p = _p		+ [5];

_u = _u		+ ["RU_Soldier_LAT"];
_c = _c		+ [150];
_t = _t		+ [5];
_p = _p		+ [6];

_u = _u		+ ["RU_Soldier_AT"];
_c = _c		+ [175];
_t = _t		+ [5];
_p = _p		+ [6];

_u = _u		+ ["RU_Soldier_HAT"];
_c = _c		+ [200];
_t = _t		+ [7];
_p = _p		+ [7];

_u = _u		+ ["RU_Soldier_AA"];
_c = _c		+ [200];
_t = _t		+ [6];
_p = _p		+ [7];

_u = _u		+ ["RU_Soldier_AR"];
_c = _c		+ [150];
_t = _t		+ [5];
_p = _p		+ [6];

_u = _u		+ ["RU_Soldier_MG"];
_c = _c		+ [150];
_t = _t		+ [5];
_p = _p		+ [6];

_u = _u		+ ["RU_Soldier_GL"];
_c = _c		+ [150];
_t = _t		+ [5];
_p = _p		+ [6];

_u = _u		+ ["RU_Soldier_Marksman"];
_c = _c		+ [175];
_t = _t		+ [6];
_p = _p		+ [7];

_u = _u		+ ["RU_Soldier_Medic"];
_c = _c		+ [125];
_t = _t		+ [4];
_p = _p		+ [5];

_u = _u		+ ["RUS_Soldier2"];
_c = _c		+ [200];
_t = _t		+ [7];
_p = _p		+ [10];

_u = _u		+ ["RUS_Soldier_Sab"];
_c = _c		+ [200];
_t = _t		+ [7];
_p = _p		+ [10];

_u = _u		+ ["RUS_Soldier_Marksman"];
_c = _c		+ [200];
_t = _t		+ [7];
_p = _p		+ [10];

_u = _u		+ ["RU_Soldier_Crew"];
_c = _c		+ [75];
_t = _t		+ [4];
_p = _p		+ [5];

_u = _u		+ ["RU_Soldier_Pilot"];
_c = _c		+ [75];
_t = _t		+ [4];
_p = _p		+ [5];

_u = _u		+ ["RU_Soldier_TL"];
_c = _c		+ [110];
_t = _t		+ [5];
_p = _p		+ [6];

_u = _u		+ ["RU_Soldier_SL"];
_c = _c		+ [125];
_t = _t		+ [5];
_p = _p		+ [7];

_u = _u		+ ["vdvRFs"];
_c = _c		+ [150];
_t = _t		+ [5];
_p = _p		+ [7];

_u = _u		+ ["vdvRFs1"];
_c = _c		+ [150];
_t = _t		+ [5];
_p = _p		+ [7];

_u = _u		+ ["vdvRFs3"];
_c = _c		+ [150];
_t = _t		+ [5];
_p = _p		+ [7];

_u = _u		+ ["vdvRFs4"];
_c = _c		+ [150];
_t = _t		+ [5];
_p = _p		+ [7];

_u = _u		+ ["vdvRFs5"];
_c = _c		+ [150];
_t = _t		+ [5];
_p = _p		+ [7];

_u = _u		+ ["vdvRFs6"];
_c = _c		+ [150];
_t = _t		+ [5];
_p = _p		+ [7];

_u = _u		+ ["vdvRFs9"];
_c = _c		+ [150];
_t = _t		+ [5];
_p = _p		+ [7];

_u = _u		+ ["vdvRFs11"];
_c = _c		+ [150];
_t = _t		+ [5];
_p = _p		+ [7];

eastBarracksDescriptions = [];
eastBarracksFactions = [];
eastBarracksImages = [];
eastBarracksCrews = [];

_total = Count _u;
for [{_count = 0},{_count < _total},{_count = _count + 1}] do
{
	_config = configFile >> "CfgVehicles" >> (_u Select _count);
	eastBarracksDescriptions = eastBarracksDescriptions + [GetText (_config >> "displayName")];
	eastBarracksFactions = eastBarracksFactions + [GetText (_config >> "faction")];
	eastBarracksImages = eastBarracksImages + [GetText (_config >> "portrait")];
	eastBarracksCrews = eastBarracksCrews + [1];
};

eastBarracksUnits = _u;
eastBarracksCosts = _c;
eastBarracksMannedCosts = _c;
eastBarracksTimes = _t;
eastBarracksPoints = _p;

//RESISTANCE
_u			= ["GUE_Soldier_1"];
_c			= [100];
_t			= [4];
_p			= [5];

_u = _u		+ ["GUE_Soldier_2"];
_c = _c		+ [100];
_t = _t		+ [4];
_p = _p		+ [5];

_u = _u		+ ["GUE_Soldier_3"];
_c = _c		+ [100];
_t = _t		+ [4];
_p = _p		+ [5];

_u = _u		+ ["GUE_Soldier_GL"];
_c = _c		+ [150];
_t = _t		+ [5];
_p = _p		+ [6];

_u = _u		+ ["GUE_Soldier_AT"];
_c = _c		+ [200];
_t = _t		+ [6];
_p = _p		+ [7];

_u = _u		+ ["GUE_Soldier_AA"];
_c = _c		+ [200];
_t = _t		+ [6];
_p = _p		+ [7];

_u = _u		+ ["GUE_Soldier_AR"];
_c = _c		+ [150];
_t = _t		+ [4];
_p = _p		+ [6];

_u = _u		+ ["GUE_Soldier_MG"];
_c = _c		+ [150];
_t = _t		+ [4];
_p = _p		+ [6];

_u = _u		+ ["GUE_Soldier_Sniper"];
_c = _c		+ [175];
_t = _t		+ [6];
_p = _p		+ [7];

_u = _u		+ ["GUE_Soldier_Medic"];
_c = _c		+ [125];
_t = _t		+ [4];
_p = _p		+ [5];

_u = _u		+ ["GUE_Soldier_Crew"];
_c = _c		+ [75];
_t = _t		+ [4];
_p = _p		+ [5];

_u = _u		+ ["GUE_Soldier_Pilot"];
_c = _c		+ [75];
_t = _t		+ [4];
_p = _p		+ [5];

_u = _u		+ ["GUE_Soldier_Scout"];
_c = _c		+ [150];
_t = _t		+ [5];
_p = _p		+ [6];

_u = _u		+ ["GUE_Soldier_Sab"];
_c = _c		+ [200];
_t = _t		+ [6];
_p = _p		+ [7];

_u = _u		+ ["GUE_Soldier_CO"];
_c = _c		+ [125];
_t = _t		+ [6];
_p = _p		+ [7];

resistanceBarracksDescriptions = [];
resistanceBarracksFactions = [];
resistanceBarracksImages = [];
resistanceBarracksCrews = [];

_total = Count _u;
for [{_count = 0},{_count < _total},{_count = _count + 1}] do
{
	_config = configFile >> "CfgVehicles" >> (_u Select _count);
	resistanceBarracksDescriptions = resistanceBarracksDescriptions + [GetText (_config >> "displayName")];
	resistanceBarracksFactions = resistanceBarracksFactions + [GetText (_config >> "faction")];
	resistanceBarracksImages = resistanceBarracksImages + [GetText (_config >> "portrait")];
	resistanceBarracksCrews = resistanceBarracksCrews + [1];
};

resistanceBarracksUnits = _u;
resistanceBarracksCosts = _c;
resistanceBarracksMannedCosts = _c;
resistanceBarracksTimes = _t;
resistanceBarracksPoints = _p;

//Base soldier from which others are derived.
westSoldierBaseClass = "SoldierWB";
eastSoldierBaseClass = "SoldierEB";
resistanceSoldierBaseClass = "SoldierGB";

//SPECIAL UNITS - If these classes are changed above they must be updated here too.
WSOLDIERS = ["USMC_Soldier","CDF_Soldier"];
WMEDICS = ["USMC_Soldier_Medic","CDF_Soldier_Medic"];
WCREWS = ["USMC_Soldier_Crew","CDF_Soldier_Crew"];
WPILOTS = ["USMC_Soldier_Pilot","CDF_Soldier_Pilot"];
WSPECOPS = ["FR_AC","FR_R"];

WSOLDIER = WSOLDIERS Select 0;
WMEDIC = WMEDICS Select 0;
WCREW = WCREWS Select 0;
WPILOT = WPILOTS Select 0;

ESOLDIERS = ["RU_Soldier","Ins_Soldier_1"];
EMEDICS = ["RU_Soldier_Medic","Ins_Soldier_Medic"];
ECREWS = ["RU_Soldier_Crew","Ins_Soldier_Crew"];
EPILOTS = ["RU_Soldier_Pilot","Ins_Soldier_Pilot"];
ESPECOPS = ["RUS_Soldier2","RUS_Soldier_Sab","RUS_Soldier_Marksman"];

ESOLDIER = ESOLDIERS Select 0;
EMEDIC = EMEDICS Select 0;
ECREW = ECREWS Select 0;
EPILOT = EPILOTS Select 0;

GSOLDIERS = ["GUE_Soldier_1"];
GMEDICS = ["GUE_Soldier_Medic"];
GCREWS = ["GUE_Soldier_Crew"];
GPILOTS = ["GUE_Soldier_Pilot"];
GSPECOPS = [];

GSOLDIER = GSOLDIERS Select 0;
GMEDIC = GMEDICS Select 0;
GCREW = GCREWS Select 0;
GPILOT = GPILOTS Select 0;

VGWSOLDIER = WSOLDIER;
VGESOLDIER = ESOLDIER;
VGGSOLDIER = GSOLDIER;

soldierUnits = westBarracksUnits + eastBarracksUnits + resistanceBarracksUnits;
soldierUnitCosts = westBarracksCosts + eastBarracksCosts + resistanceBarracksCosts;
soldierUnitDescriptions = westBarracksDescriptions + eastBarracksDescriptions + resistanceBarracksDescriptions;

//Determine longest build time.
longestBarracksBuildTime = 0;
_t = eastBarracksTimes + westBarracksTimes + resistanceBarracksTimes;
for [{_count = Count _t - 1},{_count >= 0},{_count = _count - 1}] do
{
	if (_t Select _count > longestBarracksBuildTime) then
	{
		longestBarracksBuildTime = _t Select _count;
	};
};

//*****************************************************************************************
//3/27/7 MM - Created file.
