BIS_WF_Constants SetVariable["OPPOSITIONMULTIPLIER",1];

soldierUnits = [];
lightUnits = [];
heavyUnits = [];
aircraftUnits = [];
wingedAircraftUnits = [];

[] Call Compile PreprocessFile ("Common\Config\Config_Barracks.sqf");
[] Call Compile PreprocessFile ("Common\Config\Config_Missions.sqf");	
[] Call Compile PreprocessFile ("Common\Config\Config_Supports.sqf");
[] Call Compile PreprocessFile ("Common\Config\Config_LightFactory.sqf");
[] Call Compile PreprocessFile ("Common\Config\Config_HeavyFactory.sqf");
[] Call Compile PreprocessFile ("Common\Config\Config_AircraftFactory.sqf");
[] Call Compile PreprocessFile ("Common\Config\Config_Airport.sqf");
[] Call Compile PreprocessFile ("Common\Config\Config_Depot.sqf");
[] Call Compile PreprocessFile ("Common\Config\Config_Teams.sqf");
[] Call Compile PreprocessFile ("Common\Config\Config_Squads.sqf");

[] Call Compile PreprocessFile ("Common\Config\Config_Structures.sqf");

eastPlayerStartingFunds = 10000;
westPlayerStartingFunds = 15000;
ResistancePlayerStartingFunds = 5000;

//Change default starting funds for players and AIs.
 for [{_count = 0},{_count < 32},{_count = _count + 1}] do
 {
 //Player starting funds.
 Call Compile Format["EastPlayer%1Funds = eastPlayerStartingFunds",_count + 1];
 Call Compile Format["WestPlayer%1Funds = westPlayerStartingFunds",_count + 1];
 Call Compile Format["ResistancePlayer%1Funds = resistancePlayerStartingFunds",_count + 1];

 //AI starting funds.
 Call Compile Format["EastAI%1Funds = eastPlayerStartingFunds",_count + 1];
 Call Compile Format["WestAI%1Funds = westPlayerStartingFunds",_count + 1];
 Call Compile Format["ResistanceAI%1Funds = resistancePlayerStartingFunds",_count + 1];
 };
 
EastAICommanderFunds = 15000;
WestAICommanderFunds = 20000;
ResistanceAICommanderFunds = 10000;

EastCommanderFunds = 15000;
WestCommanderFunds = 20000;
ResistanceCommanderFunds = 10000;
 
EastSupplies = 1500;
WestSupplies = 2500;
ResistanceSupplies = 5000;
